#ifndef usb_hbth_h
#define usb_hbth_h

#include <sil.h>
//#include "devdrv_intc.h"
#define INTC_ID_USBI0 73

/*
 *  USB HOST タスクのための定数
 */
#define USBHOST_PRIORITY			(4)
#define USBHOST_STACK_SIZE			2048

extern void usbhost_init(ID tskid);
extern void usbhost_main(intptr_t exinf);

/*
 *  USB割込みハンドラ登録のための定数
 */
#define INHNO_USB	INTC_ID_USBI0		/* 割込みハンドラ番号 */
#define INTNO_USB	INTC_ID_USBI0		/* 割込み番号 */
#define INTPRI_USB	-5					/* 割込み優先度 */
#define INTATR_USB	(TA_EDGE)			/* 割込み属性 */

void usb_interrupt_handler(void);
int bt_usb_hbth_bulk_write(unsigned char *packet, int size);
int bt_usb_hbth_control_write(unsigned char *packet, int size);

#endif // usb_hbth_h
